## splix 1.0.1

=== Makefile ===
#
# 	Makefile			(C) 2006, Aurélien Croc (AP²C)
#
#  This project has been placed under the GPL Licence.
#

CXXFLAGS	:= -O2 `cups-config --cflags` 
LDFLAGS		:= `cups-config --ldflags`
CUPSFILTER	:= `cups-config --serverbin`/filter
CUPSPPD		:= `cups-config --datadir`/model

# === DON'T CHANGE ANYTHING AFTER THIS MESSAGE ====

export CXXFLAGS LDFLAGS CUPSFILTER CUPSPPD

all: src ppd 

.PHONY: src ppd 
src ppd:
	@$(MAKE) -C $@

.PHONY: clean distclean
clean:
	@$(MAKE) -C src clean
	@$(MAKE) -C ppd clean

distclean: clean
	@$(MAKE) -C src distclean
	@$(MAKE) -C ppd distclean

.PHONY: install
install: 
	@$(MAKE) -C src install
	@$(MAKE) -C ppd install
	@echo ""
	@echo "             --- Everything is done! Have fun ---"
	@echo ""

=== ppd/Makefile ===
#
# 	Makefile			(C) 2006, Aurélien Croc (AP²C)
#
#  This project has been placed under the GPL Licence.
#
#

SOURCE		:= samsung.drv
DRIVERS		:= ml1510 ml1520 ml1610 ml1710 ml1740 ml1750 ml2010 ml2150 ml2250 ml2550 clp300 clp500 clp510 clp600 xerox-phaser6100
DRIVERSEXT	:= ppd
POEXT		:= po
PODIR		:= po
LANGUAGES 	:= fr it de

# === DON'T CHANGE ANYTHING AFTER THIS MESSAGE ====

MASTERDRIVER	:= $(shell echo "${DRIVERS}" | awk '{ print $$1 }')
DRIVER		:= $(MASTERDRIVER).$(DRIVERSEXT)
LANGDRIVERS	:= $(foreach name, $(LANGUAGES), $(MASTERDRIVER)$(name))
LANGDRIVERSEXT	:= $(addsuffix .$(DRIVERSEXT), $(LANGDRIVERS))

all: $(DRIVER) $(LANGDRIVERSEXT)

$(DRIVER): $(SOURCE)
	ppdc -d ./ $<

$(LANGDRIVERSEXT): $(SOURCE) $(patsubst %, $(PODIR)/%.$(POEXT), $(LANGUAGES))
	ppdc -c ${PODIR}/$(patsubst $(MASTERDRIVER)%.$(DRIVERSEXT),%, $@).${POEXT} -l $(patsubst $(MASTERDRIVER)%.$(DRIVERSEXT),%, $@) -d ${PODIR} $<
	for filename in ${DRIVERS}; do \
		mv ${PODIR}/`echo $$filename`.${DRIVERSEXT} `echo $$filename`$(patsubst $(MASTERDRIVER)%.$(DRIVERSEXT),%, $@).${DRIVERSEXT}; \
	done

.PHONY: update
update: $(patsubst %, $(PODIR)/%.$(POEXT), $(LANGUAGES))
%.po: $(SOURCE)
	ppdpo -o $@ $<

.PHONY:
install:
	install -d -m 755 ${CUPSPPD}/samsung
	for filename in ${DRIVERS}; do \
		install -m 644 $$filename.${DRIVERSEXT} ${CUPSPPD}/samsung;\
		for lang in ${LANGUAGES}; do \
			install -m 644 $$filename$$lang.${DRIVERSEXT} ${CUPSPPD}/samsung;\
		done; \
	done \

.PHONY: clean distclean
clean:
distclean:
	$(RM) *.${DRIVERSEXT}

=== src/Makefile ===
#
# 	Makefile			(C) 2006, Aurélien Croc (AP²C)
#
#  This project has been placed under the GPL Licence.
#

CXXFLAGS	+= -I../include -Wall -g -O0
LDFLAGS		+= -lcups -lcupsimage

OBJECTS		:= spl2.o printer.o band.o compress.o bandanalyser.o
HEADERS		:= include/spl2.h include/document.h include/printer.h \
		   include/error.h include/band.h include/raster.h \
		   include/bandanalyser.h


all: rastertospl2
rastertospl2: $(OBJECTS) rastertospl2.o raster.o
	$(CXX) $(LDFLAGS) -o $@ $^

pbmtospl2: $(OBJECTS) pbmtospl2.o pbmimage.o
	$(CXX) $(LDFLAGS) -o $@ $^

%.o: %.cpp $(HEADERS)
	$(CXX) $(CXXFLAGS) -c $<

install: rastertospl2
	install -m 755 -s rastertospl2 ${CUPSFILTER}

.PHONY: clean distclean
clean:
	$(RM) *.o

distclean: clean
	$(RM) rastertospl2 pbmtospl2

=== tools/Makefile ===
#
#   Makefile			(C) 2006, Aurélien Croc (AP²C)
# 

CXXFLAGS  	= -O0 -g

decompress: decompress.cpp

clean:
	$(RM) decompress

## splix 1.1.1

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 .PHONY: src ppd 
 src ppd:
-	@$(MAKE) -C $@
+	@$(MAKE) -C $@ DISABLE_JBIG=$(DISABLE_JBIG)
 
 .PHONY: clean distclean
 clean:
@@ -31,7 +31,7 @@
 .PHONY: install
 install: 
 	@$(MAKE) -C src install
-	@$(MAKE) -C ppd install
+	@$(MAKE) -C ppd install DISABLE_JBIG=$(DISABLE_JBIG)
 	@echo ""
 	@echo "             --- Everything is done! Have fun ---"
 	@echo ""

=== ppd/Makefile ===
#
# 	Makefile			(C) 2006, Aurélien Croc (AP²C)
#
#  This project has been placed under the GPL Licence.
#
#

SOURCE		:= samsung.drv dell.drv xerox.drv
DELL		:= 1100 1110
SAMSUNG		:= clp500 clp510 clp610 ml1510 ml1520 ml1610 ml1630 ml1710 \
		   ml1740 ml1750 ml2010 ml2150 ml2250 ml2510 ml2550 ml3050 \
		   ml3560
XEROX		:= ph3115 ph3116 ph3117 ph3120 ph3121 ph3122 ph3130 ph3150 \
		   ph3420 ph3425 ph5500 ph6100
DRIVERS		:= $(DELL) $(SAMSUNG) $(XEROX)
DRIVERSEXT	:= ppd
POEXT		:= po
PODIR		:= po
LANGUAGES 	:= fr it de
ifneq ($(DISABLE_JBIG),1)
SAMSUNG 	+= clp200 clp300 clp600 clx216x clx2170 clx3160
XEROX		+= ph6110
endif

# === DON'T CHANGE ANYTHING AFTER THIS MESSAGE ====

MASTERDRIVER	:= $(shell echo "${DRIVERS}" | awk '{ print $$1 }')
DRIVER		:= $(MASTERDRIVER).$(DRIVERSEXT)
LANGDRIVERS	:= $(foreach name, $(LANGUAGES), $(MASTERDRIVER)$(name))
LANGDRIVERSEXT	:= $(addsuffix .$(DRIVERSEXT), $(LANGDRIVERS))

all:

ppd: $(DRIVER) $(LANGDRIVERSEXT)

$(DRIVER): $(SOURCE)
	./compile.sh samsung.drv -I . -d ./
	./compile.sh dell.drv -I . -d ./
	./compile.sh xerox.drv -I . -d ./

$(LANGDRIVERSEXT): $(SOURCE) $(patsubst %, $(PODIR)/%.$(POEXT), $(LANGUAGES))
	lang=$(patsubst $(MASTERDRIVER)%.$(DRIVERSEXT),%, $@); \
	./compile.sh samsung.drv -c ${PODIR}/$$lang.${POEXT} -l $$lang -d ${PODIR}/$$lang; \
	for filename in ${SAMSUNG}; do \
		mv ${PODIR}/$$lang/$$filename.${DRIVERSEXT} $$filename$$lang.${DRIVERSEXT}; \
	done; \
	./compile.sh xerox.drv -c ${PODIR}/$$lang.${POEXT} -l $$lang -d ${PODIR}/$$lang; \
	for filename in ${XEROX}; do \
		mv ${PODIR}/$$lang/$$filename.${DRIVERSEXT} $$filename$$lang.${DRIVERSEXT}; \
	done; \
	./compile.sh dell.drv -c ${PODIR}/$$lang.${POEXT} -l $$lang -d ${PODIR}/$$lang; \
	for filename in ${DELL}; do \
		mv ${PODIR}/$$lang/$$filename.${DRIVERSEXT} $$filename$$lang.${DRIVERSEXT}; \
	done;

.PHONY: update
update: $(patsubst %, $(PODIR)/%.$(POEXT), $(LANGUAGES))
%.po: $(SOURCE)
	./compile.sh samsung.drv lang $@
	./compile.sh dell.drv lang $@
	./compile.sh xerox.drv lang $@

.PHONY: install
install:
	install -d -m 755 ${CUPSPPD}/samsung
	for filename in ${SAMSUNG}; do \
		install -m 644 $$filename.${DRIVERSEXT} ${CUPSPPD}/samsung;\
		for lang in ${LANGUAGES}; do \
			install -m 644 $$filename$$lang.${DRIVERSEXT} ${CUPSPPD}/samsung;\
		done; \
	done; \
	install -d -m 755 ${CUPSPPD}/xerox
	for filename in ${XEROX}; do \
		install -m 644 $$filename.${DRIVERSEXT} ${CUPSPPD}/xerox;\
		for lang in ${LANGUAGES}; do \
			install -m 644 $$filename$$lang.${DRIVERSEXT} ${CUPSPPD}/xerox;\
		done; \
	done; \
	install -d -m 755 ${CUPSPPD}/dell
	for filename in ${DELL}; do \
		install -m 644 $$filename.${DRIVERSEXT} ${CUPSPPD}/dell;\
		for lang in ${LANGUAGES}; do \
			install -m 644 $$filename$$lang.${DRIVERSEXT} ${CUPSPPD}/dell;\
		done; \
	done;

.PHONY: clean distclean
clean:
distclean:
	$(RM) *.${DRIVERSEXT}

=== src/Makefile ===
--- 
+++ 
@@ -4,21 +4,27 @@
 #  This project has been placed under the GPL Licence.
 #
 
-CXXFLAGS	+= -I../include -Wall -g -O0
-LDFLAGS		+= -lcups -lcupsimage
+CXXFLAGS	+= -I../include -Wall -g -O0 #-DENABLE_DEBUG
+LDFLAGS		+=
+LIBS		+= -lcups -lcupsimage
 
 OBJECTS		:= spl2.o printer.o band.o compress.o bandanalyser.o
 HEADERS		:= include/spl2.h include/document.h include/printer.h \
 		   include/error.h include/band.h include/raster.h \
 		   include/bandanalyser.h
 
+ifeq ($(DISABLE_JBIG),1)
+CXXFLAGS += -DDISABLE_JBIGUSE
+else
+LIBS += -ljbig
+endif
 
 all: rastertospl2
 rastertospl2: $(OBJECTS) rastertospl2.o raster.o
-	$(CXX) $(LDFLAGS) -o $@ $^
+	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS)
 
 pbmtospl2: $(OBJECTS) pbmtospl2.o pbmimage.o
-	$(CXX) $(LDFLAGS) -o $@ $^
+	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS)
 
 %.o: %.cpp $(HEADERS)
 	$(CXX) $(CXXFLAGS) -c $<

## splix 2.0.0~rc2

=== Makefile ===
#
#	Makefile		(C) 2006-2008, Aurélien Croc (AP²C)
#
# This project is under the GPL Licence
#
# Available MAKE options:
#      * V sets to 1 for verbose mode
# 
# Available variables in module.mk :
#      * SUBDIRS
#      * MODE = {default,debug,optimized}
#      * CFLAGS
#      * CXXFLAGS
#      * LDFLAGS
#      * DEBUG_CFLAGS
#      * DEBUG_CXXFLAGS
#      * OPTIMIZED_CFLAGS
#      * OPTIMIZED_CXXFLAGS
#      * TARGETS
#      * GENERIC_TARGETS
#      * PRE_GENERIC_TARGETS
#      * directory1_directory2_file_ext_FLAGS
#
# Each project must be listed in the TARGETS variable. Next:
#      * project1_SRC
#      * project1_LIB
#      * project1_CFLAGS
#      * project1_LDFLAGS
#      * project1_MODULES
#      * project1_CXXFLAGS
#      * ...
#
# This Makefile will generate:
#      * project1_TARGET
#      * project1_OBJ
#
#
# In the file rules.mk:
#
# You can add your own rules
# 
# To add a new target file support, please add the target extension in the
# TARGET_RULES variable and define the function targetDefinition_{extension}.
# This function will be called with one parameters: the target name
# Like the examples above, use $(value $(1)_TARGET) or _OBJ, .. to access
# to useful informations
#
#
# /!\ = Please do your modifications in the module.mk file = /!\
# 


# +--------------------------------------------------------------------------+
# |   SUPPORTED LANGUAGES, DIRECTORIES ARCHI AND TOOLS LOCATIONS & FLAGS     |
# +--------------------------------------------------------------------------+
LANGUAGES	:= cpp c

CC		:= gcc
CXX		:= g++
RM		:= rm -f
AR		:= ar crs
LEX		:= flex
YACC		:= bison
LINKER		:= $(CXX)

DEPDIR          := .deps
BUILDDIR        := .build
TARGETDIR       := .


empty           :=
space           := $(empty) $(empty)
comma           := ,

DEBUG_CFLAGS    := -O0 -g
DEBUG_CXXFLAGS  := -O0 -g
OPTIM_CFLAGS	:= -O2
OPTIM_CXXFLAGS	:= -O2

ARCHI           := $(shell uname -s)

ifeq ($(ARCHI),Darwin)
PLUGIN_EXT      := bundle
LIBRARY_EXT     := dylib
else
PLUGIN_EXT      := so
LIBRARY_EXT     := so
endif


# +--------------------------------------------------------------------------+
# |   DEFINITIONS VARIABLE LOADING                                           |
# +--------------------------------------------------------------------------+

MODE		:= default
DEFFILE		:= .defs.mk
-include $(DEFFILE)



# +--------------------------------------------------------------------------+
# |   SUBDIRS LOADING                                                        |
# +--------------------------------------------------------------------------+

include module.mk
ifeq ($(DEFLOADED),1)
include $(patsubst %, %/module.mk, $(_SUBDIRS))
endif # DEFLOADED == 1
ifeq ($(DEFDONE),1)




# +--------------------------------------------------------------------------+
# |   COMPILATION MODE INITIALIZATION                                        |
# +--------------------------------------------------------------------------+

ifeq ($(MAKECMDGOALS),debug)
MODE            := debug
endif #MAKECMDGOALS == debug
ifeq ($(MAKECMDGOALS),optimized)
MODE            := optimized
endif #MAKECMDGOALS == optimized
ifeq ($(MAKECMDGOALS),default)
MODE            := default
endif #MAKECMDGOALS == default

ifeq ($(MODE),debug)            # DEBUG
CFLAGS		+= $(DEBUG_CFLAGS)
CXXFLAGS	+= $(DEBUG_CXXFLAGS)
BUILDDIR	:= debug
TARGETDIR	:= debug
DEPDIR		:= debug
else
ifeq ($(MODE),optimized)        # OPTIMIZED
CFLAGS		+= $(OPTIM_CFLAGS)
CXXFLAGS	+= $(OPTIM_CXXFLAGS)
BUILDDIR	:= optimized
TARGETDIR	:= optimized
DEPDIR		:= optimized
endif # MODE == optimized
endif # MODE == debug



# +--------------------------------------------------------------------------+
# |   VERBOSE MODE AND INITIALIZATION                                        |
# +--------------------------------------------------------------------------+

V := 
ifeq ($(V),1) 
	Q := 
else
	Q := @
endif



# +--------------------------------------------------------------------------+
# |   MAIN RULES AND TARGETS                                                 |
# +--------------------------------------------------------------------------+

_TARGETS	:= $(foreach target,$(TARGETS),$(TARGETDIR)/$(target))
_TARGETS	:= $(PRE_GENERIC_TARGETS) $(_TARGETS) $(GENERIC_TARGETS)

all: $(_TARGETS)
debug: $(_TARGETS)
optimized: $(_TARGETS)



# +--------------------------------------------------------------------------+
# |   MACRO DEFINITIONS                                                      |
# +--------------------------------------------------------------------------+

# Function to print smart messages
printCmd	= $(if $(filter $(V),1),,$(shell echo "@echo \"    $(1)\""))

# Get the target variable name
targetName	= $(subst .,_,$(subst /,_,$(1)))

# Specific flags definition
flags            = $(value $(subst /,_,$(subst .,_,$(1)))_FLAGS)
flag            = $(subst /,_,$(subst .,_,$(1)))_FLAGS



# +--------------------------------------------------------------------------+
# |   LOAD AND GENERATE DEPENDENCIES FILES                                   |
# +--------------------------------------------------------------------------+

# Get all the source files in ALLSRC
ALLSRC          := $(foreach target,$(call targetName,$(TARGETS)),$(value \
                        $(target)_SRC))

# Get the dependencies files
DEPENDENCIES    := $(foreach lang,$(LANGUAGES),$(patsubst %.$(lang), %.d, \
                   $(filter %.$(lang),$(ALLSRC))))

# Generate dependencies files for C++ source file
$(DEPDIR)/%.d: %.cpp
	@mkdir -p $(dir $@)
	@$(CXX) $(CXXFLAGS) -MM -MG -MT "\$$(DEPDIR)/$(basename $<).d \
		\$$(BUILDDIR)/$(basename $<).o" -MG "$<" -MF $@

# Load dependencies files 
-include $(foreach dep,$(DEPENDENCIES),$(DEPDIR)/$(dep))



# +--------------------------------------------------------------------------+
# |   PREVENT LOADING RULES IF DEFFILE IS NOT COMPLET                        |
# +--------------------------------------------------------------------------+

else
TARGETS	:= $(empty)

endif # DEFDONE == 1



# +--------------------------------------------------------------------------+
# |   OBJECTS AND TARGETS DEFINITIONS                                        |
# +--------------------------------------------------------------------------+


# Define target variables
defineTarget	= $(call targetName,$(1))_TARGET  := $(TARGETDIR)/$(1)

# Define target object variables
define defineObject
$(1)_OBJ	:= $(foreach obj,$(foreach lang,$(LANGUAGES),$(patsubst \
			%.$(lang),%.o,$(filter %.$(lang),$(value $(1)_SRC)))), \
			$(BUILDDIR)/$(obj)) \
		   $(foreach module,$(value \
			$(1)_MODULES),$(TARGETDIR)/$(module)) \
		   $(foreach obj,$(patsubst %.l,%.l.o,$(filter %.l,$(value \
			$(1)_SRC))),$(BUILDDIR)/$(obj)) \
		   $(foreach obj,$(patsubst %.y,%.yy.o,$(filter %.y,$(value \
			$(1)_SRC))),$(BUILDDIR)/$(obj))
$(1)_CLEAN	:= $(foreach obj,$(patsubst %.y,%.yy.h,$(filter %.y,$(value \
			$(1)_SRC))),$(BUILDDIR)/$(obj))
endef

# Create these definitions
$(foreach target,$(TARGETS),$(eval $(call defineTarget,$(strip $(target)))) \
	$(eval $(call defineObject,$(strip $(call targetName,$(target))))))



# +--------------------------------------------------------------------------+
# |   SMART MESSAGE PRINTING                                                 |
# +--------------------------------------------------------------------------+


# Smart messages
cmd_ar_a_o	= AR                $@
cmd_cc_o_c	= CC                $<
cmd_cxx_o_cpp	= CXX               $<
cmd_yacc_h	= YACC [H]          $<
cmd_yacc_cpp	= YACC [CPP]        $<
cmd_lex_cpp	= LEX               $<
cmd_link	= LINK              $@
cmd_ln_so_o	= LINK [M]          $@
cmd_rm_clean	= RM                *.o
cmd_rm_distclean = RM                $(_TARGETS) *.d $(DEFFILE)



# +--------------------------------------------------------------------------+
# |   TARGET RULES                                                           |
# +--------------------------------------------------------------------------+

TARGET_RULES    := a so bundle

# Archives
define targetDefinition_a
$(value $(1)_TARGET): $(value $(1)_OBJ)
	$$(call printCmd, $$(cmd_ar_a_o))
	$$(Q)$$(AR) $$@ $$^
endef
-include rules.mk

# Plugins (for MacOS X)
define targetDefinition_bundle
$(value $(1)_TARGET): $(value $(1)_OBJ) $(value $(1)_LOADER)
	$$(call printCmd, $$(cmd_ln_so_o))
	$$(Q)$$(LINKER) $$(MODULE_FLAGS) $$(LDFLAGS) -o $$@ $$(value $(1)_OBJ) \
		-bundle -bundle_loader $$(value $(1)_LOADER) \
		$$(value $(1)_LIBS) $$(value $(1)_FLAGS) $$(LIBS)
endef

# Plugins and libaries (for UNIXes)
define targetDefinition_so
$(value $(1)_TARGET): $(value $(1)_OBJ)
	$$(call printCmd, $$(cmd_ln_so_o))
	$$(Q)$$(LINKER) $$(MODULE_FLAGS) $$(LDFLAGS) -o $$@ $$(value $(1)_OBJ) \
		-rdynamic -shared $$(value $(1)_LIBS) $$(value $(1)_FLAGS) \
		$$(LIBS)
endef

rulesTarget	:= $(foreach rules,$(TARGET_RULES),$(filter \
			%.$(rules),$(TARGETS)))
$(foreach target,$(rulesTarget),$(eval $(call targetDefinition_$(subst \
	.,,$(suffix $(target))),$(call targetName,$(target)))))



# +--------------------------------------------------------------------------+
# |   COMPILATION RULES                                                      |
# +--------------------------------------------------------------------------+

# C Files
$(BUILDDIR)/%.o: $(BUILDDIR)/%.c
	$(call printCmd, $(cmd_cc_o_c))
	@mkdir -p $(dir $@)
	$(Q)$(CC) $(CFLAGS) $(call flags,$<) -o $@ -c $<
$(BUILDDIR)/%.o: %.c
	$(call printCmd, $(cmd_cc_o_c))
	@mkdir -p $(dir $@)
	$(Q)$(CC) $(CFLAGS) $(call flags,$<) -o $@ -c $<

# C++ Files
$(BUILDDIR)/%.o: $(BUILDDIR)/%.cpp
	$(call printCmd, $(cmd_cxx_o_cpp))
	@mkdir -p $(dir $@)
	$(Q)$(CXX) $(CXXFLAGS) $(call flags,$<) -o $@ -c $<
$(BUILDDIR)/%.o: %.cpp
	$(call printCmd, $(cmd_cxx_o_cpp))
	@mkdir -p $(dir $@)
	$(Q)$(CXX) $(CXXFLAGS) $(call flags,$<) -o $@ -c $<

# Yacc compilation
$(BUILDDIR)/%.yy.h: %.y
	$(call printCmd, $(cmd_yacc_h))
	@mkdir -p $(dir $@)
	$(Q)$(YACC) $(call flags,$<) -d -b $(basename $(basename $@)) \
		-p $(basename $(notdir $<)) $<
	$(Q)rm $(basename $(basename $@)).tab.c
	$(Q)mv $(basename $(basename $@)).tab.h $(basename $@).h
$(BUILDDIR)/%.yy.cpp: %.y
	$(call printCmd, $(cmd_yacc_cpp))
	@mkdir -p $(dir $@)
	$(Q)$(YACC) $(call flags,$<) -b $(basename $(basename $@)) \
		-p $(basename $(notdir $<)) -o $@ $<

# Lex compilation
$(BUILDDIR)/%.l.cpp: %.l $(BUILDDIR)/%.yy.h
	$(call printCmd, $(cmd_lex_cpp))
	$(Q)$(LEX) $(call flags,$<) -P$(basename $(notdir $<)) -t $< > $@



# +--------------------------------------------------------------------------+
# |   CLEAN RULES                                                            |
# +--------------------------------------------------------------------------+

.PHONY: clean distclean
clean:
	$(call printCmd, $(cmd_rm_clean))
	$(Q)$(RM) $(foreach target,$(TARGETS),$(value $(call \
		targetName,$(target))_OBJ) $(value $(target)_CLEAN))

distclean: clean
	$(call printCmd, $(cmd_rm_distclean))
	$(Q)$(RM) $(foreach dep,$(DEPENDENCIES),$(DEPDIR)/$(dep))
	$(Q)$(RM) $(_TARGETS)
	$(Q)$(RM) $(DEFFILE)



# +--------------------------------------------------------------------------+
# |   GET ALL SUBDIRS TO EXPLORE                                             |
# +--------------------------------------------------------------------------+

# Generate the defs.mk file which contains sub directories
$(DEFFILE): Makefile $(patsubst %, %/module.mk, $(SUBDIRS)) module.mk
	@echo -n "     GEN               $(DEFFILE)"
	@echo "" > $@
	@make -s -C ./ _depsreload

.PHONY: _depsreload
_depsreload:
	@echo -n "."
	@echo "DEFLOADED := 1" > $(DEFFILE)
	@echo "_SUBDIRS := $(SUBDIRS)" >> $(DEFFILE)
	@if [ "$(SUBDIRS)" != "$(_SUBDIRS)" ]; then make -j 1 -s -C ./ _depsreload; \
		else echo "DEFDONE := 1" >> $(DEFFILE); echo ""; fi

=== ppd/Makefile ===
#
# 	Makefile			(C) 2006, Aurélien Croc (AP²C)
#
#  This project has been placed under the GPL Licence.
#
#

SOURCE		:= samsung.drv dell.drv xerox.drv
DELL		:= 1100 1110
SAMSUNG		:= clp500 clp550 clp510 clp610 ml1510 ml1520 ml1610 ml1630 \
		   ml1710 ml1740 ml1750 ml2010 ml2150 ml2250 ml2251 ml2510 \
		   ml2550 ml3050 ml3560
XEROX		:= ph3115 ph3116 ph3117 ph3120 ph3121 ph3122 ph3130 ph3150 \
		   ph3160 ph3420 ph3425 ph5500 ph6100
DRIVERSEXT	:= ppd
POEXT		:= po
PODIR		:= po
LANGUAGES 	:= fr
ifeq ($(DISABLE_JBIG),0)
SAMSUNG 	+= clp200 clp300 clp600 clx216x clx2170 clx3160
XEROX		+= ph6110
endif
DRIVERS		:= $(DELL) $(SAMSUNG) $(XEROX)

# === DON'T CHANGE ANYTHING AFTER THIS MESSAGE ====

MASTERDRIVER	:= $(shell echo "${DRIVERS}" | awk '{ print $$1 }')
DRIVER		:= $(MASTERDRIVER).$(DRIVERSEXT)
LANGDRIVERS	:= $(foreach name, $(LANGUAGES), $(MASTERDRIVER)$(name))
LANGDRIVERSEXT	:= $(addsuffix .$(DRIVERSEXT), $(LANGDRIVERS))
printCmd        = $(if $(filter $(V),1),,$(shell echo "@echo \"    $(1)\""))


all:

.PHONY: ppd
ppd: $(DRIVER) $(LANGDRIVERSEXT)

$(DRIVER): $(SOURCE)
	./compile.sh samsung.drv -I . -d ./
	./compile.sh dell.drv -I . -d ./
	./compile.sh xerox.drv -I . -d ./

$(LANGDRIVERSEXT): $(SOURCE) $(patsubst %, $(PODIR)/%.$(POEXT), $(LANGUAGES))
	lang=$(patsubst $(MASTERDRIVER)%.$(DRIVERSEXT),%, $@); \
	./compile.sh samsung.drv -l $$lang -c ${PODIR}/$$lang.${POEXT} -d ${PODIR}/$$lang; \
	for filename in ${SAMSUNG}; do \
		recode utf8..latin1 ${PODIR}/$$lang/$$filename.${DRIVERSEXT}; \
		mv ${PODIR}/$$lang/$$filename.${DRIVERSEXT} $$filename$$lang.${DRIVERSEXT}; \
	done; \
	./compile.sh xerox.drv -l $$lang -c ${PODIR}/$$lang.${POEXT} -d ${PODIR}/$$lang; \
	for filename in ${XEROX}; do \
		recode utf8..latin1 ${PODIR}/$$lang/$$filename.${DRIVERSEXT}; \
		mv ${PODIR}/$$lang/$$filename.${DRIVERSEXT} $$filename$$lang.${DRIVERSEXT}; \
	done; \
	./compile.sh dell.drv -l $$lang -c ${PODIR}/$$lang.${POEXT} -d ${PODIR}/$$lang; \
	for filename in ${DELL}; do \
		recode utf8..latin1 ${PODIR}/$$lang/$$filename.${DRIVERSEXT}; \
		mv ${PODIR}/$$lang/$$filename.${DRIVERSEXT} $$filename$$lang.${DRIVERSEXT}; \
	done;

.PHONY: update
update: $(patsubst %, $(PODIR)/%.$(POEXT), $(LANGUAGES))
%.po: $(SOURCE)
	./compile.sh samsung.drv lang $@
	./compile.sh dell.drv lang $@
	./compile.sh xerox.drv lang $@

cmd_install_samsung	= INSTALL           Samsung PPD files
cmd_install_xerox	= INSTALL           Xerox PPD files
cmd_install_dell	= INSTALL           Dell PPD files
.PHONY: install
install:
	$(call printCmd, $(cmd_install_samsung))
	$(Q)install -d -m 755 ${DESTDIR}${CUPSPPD}/samsung
	$(Q)for filename in ${SAMSUNG}; do \
		install -m 644 $$filename.${DRIVERSEXT} ${DESTDIR}${CUPSPPD}/samsung;\
		for lang in ${LANGUAGES}; do \
			install -m 644 $$filename$$lang.${DRIVERSEXT} ${DESTDIR}${CUPSPPD}/samsung;\
		done; \
	done;
	$(call printCmd, $(cmd_install_xerox))
	$(Q)install -d -m 755 ${DESTDIR}${CUPSPPD}/xerox
	$(Q)for filename in ${XEROX}; do \
		install -m 644 $$filename.${DRIVERSEXT} ${DESTDIR}${CUPSPPD}/xerox;\
		for lang in ${LANGUAGES}; do \
			install -m 644 $$filename$$lang.${DRIVERSEXT} ${DESTDIR}${CUPSPPD}/xerox;\
		done; \
	done;
	$(call printCmd, $(cmd_install_dell))
	$(Q)install -d -m 755 ${DESTDIR}${CUPSPPD}/dell
	$(Q)for filename in ${DELL}; do \
		install -m 644 $$filename.${DRIVERSEXT} ${DESTDIR}${CUPSPPD}/dell;\
		for lang in ${LANGUAGES}; do \
			install -m 644 $$filename$$lang.${DRIVERSEXT} ${DESTDIR}${CUPSPPD}/dell;\
		done; \
	done;

.PHONY: clean distclean
clean:
distclean:
	$(RM) *.${DRIVERSEXT}

## splix 2.0.0

=== ppd/Makefile ===
--- 
+++ 
@@ -8,14 +8,14 @@
 SOURCE		:= samsung.drv dell.drv xerox.drv
 DELL		:= 1100 1110
 SAMSUNG		:= clp500 clp550 clp510 clp610 ml1510 ml1520 ml1610 ml1630 \
-		   ml1710 ml1740 ml1750 ml2010 ml2150 ml2250 ml2251 ml2510 \
-		   ml2550 ml3050 ml3560
+		   ml1640 ml1710 ml1740 ml1750 ml2010 ml2150 ml2250 ml2251 \
+		   ml2510 ml2550 ml3050 ml3560 scx4200 scx4500
 XEROX		:= ph3115 ph3116 ph3117 ph3120 ph3121 ph3122 ph3130 ph3150 \
-		   ph3160 ph3420 ph3425 ph5500 ph6100
+		   ph3160 ph3420 ph3425 ph5500 ph6100 wc3119
 DRIVERSEXT	:= ppd
 POEXT		:= po
 PODIR		:= po
-LANGUAGES 	:= fr
+LANGUAGES 	:= fr pt
 ifeq ($(DISABLE_JBIG),0)
 SAMSUNG 	+= clp200 clp300 clp600 clx216x clx2170 clx3160
 XEROX		+= ph6110

## splix 2.0.0+20100802

=== ppd/Makefile ===
--- 
+++ 
@@ -5,13 +5,16 @@
 #
 #
 
-SOURCE		:= samsung.drv dell.drv xerox.drv
+SOURCE		:= samsung.drv dell.drv xerox.drv lexmark.drv
 DELL		:= 1100 1110
-SAMSUNG		:= clp500 clp550 clp510 clp610 ml1510 ml1520 ml1610 ml1630 \
-		   ml1640 ml1710 ml1740 ml1750 ml2010 ml2150 ml2250 ml2251 \
-		   ml2510 ml2550 ml3050 ml3560 scx4200 scx4500
-XEROX		:= ph3115 ph3116 ph3117 ph3120 ph3121 ph3122 ph3130 ph3150 \
-		   ph3160 ph3420 ph3425 ph5500 ph6100 wc3119
+SAMSUNG		:= clp500 clp550 clp510 clp610 clp610nd ml1510 ml1520 ml1610 \
+		   ml1630 ml1640 ml1710 ml1740 ml1750 ml2010 ml2015 ml2150 \
+		   ml2240 ml2250 ml2251 ml2510 ml2550 ml2571 ml3050 ml3051 \
+		   ml3051nd ml3560 scx4100 scx4200 scx4216f scx4300 scx4500 \
+		   scx4521f sf565p
+XEROX		:= ph3115 ph3116 ph3117 ph3120 ph3121 ph3122 ph3124 ph3130 \
+		   ph3150 ph3160 ph3420 ph3425 ph5500 ph6100 wc3119 wcpe16
+LEXMARK		:= x215mfp
 DRIVERSEXT	:= ppd
 POEXT		:= po
 PODIR		:= po
@@ -20,7 +23,7 @@
 SAMSUNG 	+= clp200 clp300 clp600 clx216x clx2170 clx3160
 XEROX		+= ph6110
 endif
-DRIVERS		:= $(DELL) $(SAMSUNG) $(XEROX)
+DRIVERS		:= $(DELL) $(SAMSUNG) $(XEROX) $(LEXMARK)
 
 # === DON'T CHANGE ANYTHING AFTER THIS MESSAGE ====
 
@@ -40,6 +43,7 @@
 	./compile.sh samsung.drv -I . -d ./
 	./compile.sh dell.drv -I . -d ./
 	./compile.sh xerox.drv -I . -d ./
+	./compile.sh lexmark.drv -I . -d ./
 
 $(LANGDRIVERSEXT): $(SOURCE) $(patsubst %, $(PODIR)/%.$(POEXT), $(LANGUAGES))
 	lang=$(patsubst $(MASTERDRIVER)%.$(DRIVERSEXT),%, $@); \
@@ -58,6 +62,11 @@
 		recode utf8..latin1 ${PODIR}/$$lang/$$filename.${DRIVERSEXT}; \
 		mv ${PODIR}/$$lang/$$filename.${DRIVERSEXT} $$filename$$lang.${DRIVERSEXT}; \
 	done;
+	./compile.sh lexmark.drv -l $$lang -c ${PODIR}/$$lang.${POEXT} -d ${PODIR}/$$lang; \
+	for filename in ${LEXMARK}; do \
+		recode utf8..latin1 ${PODIR}/$$lang/$$filename.${DRIVERSEXT}; \
+		mv ${PODIR}/$$lang/$$filename.${DRIVERSEXT} $$filename$$lang.${DRIVERSEXT}; \
+	done;
 
 .PHONY: update
 update: $(patsubst %, $(PODIR)/%.$(POEXT), $(LANGUAGES))
@@ -65,10 +74,12 @@
 	./compile.sh samsung.drv lang $@
 	./compile.sh dell.drv lang $@
 	./compile.sh xerox.drv lang $@
+	./compile.sh lexmark.drv lang $@
 
 cmd_install_samsung	= INSTALL           Samsung PPD files
 cmd_install_xerox	= INSTALL           Xerox PPD files
 cmd_install_dell	= INSTALL           Dell PPD files
+cmd_install_lexmark	= INSTALL           Lexmark PPD files
 .PHONY: install
 install:
 	$(call printCmd, $(cmd_install_samsung))
@@ -95,6 +106,14 @@
 			install -m 644 $$filename$$lang.${DRIVERSEXT} ${DESTDIR}${CUPSPPD}/dell;\
 		done; \
 	done;
+	$(call printCmd, $(cmd_install_lexmark))
+	$(Q)install -d -m 755 ${DESTDIR}${CUPSPPD}/lexmark
+	$(Q)for filename in ${LEXMARK}; do \
+		install -m 644 $$filename.${DRIVERSEXT} ${DESTDIR}${CUPSPPD}/lexmark;\
+		for lang in ${LANGUAGES}; do \
+			install -m 644 $$filename$$lang.${DRIVERSEXT} ${DESTDIR}${CUPSPPD}/lexmark;\
+		done; \
+	done;
 
 .PHONY: clean distclean
 clean:

## splix 2.0.0+20110720

=== ppd/Makefile ===
--- 
+++ 
@@ -5,25 +5,31 @@
 #
 #
 
-SOURCE		:= samsung.drv dell.drv xerox.drv lexmark.drv
+SOURCE		:= samsung.drv dell.drv xerox.drv lexmark.drv toshiba.drv
 DELL		:= 1100 1110
 SAMSUNG		:= clp500 clp550 clp510 clp610 clp610nd ml1510 ml1520 ml1610 \
-		   ml1630 ml1640 ml1710 ml1740 ml1750 ml2010 ml2015 ml2150 \
-		   ml2240 ml2250 ml2251 ml2510 ml2550 ml2571 ml3050 ml3051 \
-		   ml3051nd ml3560 scx4100 scx4200 scx4216f scx4300 scx4500 \
-		   scx4521f sf565p
+		   ml1630 ml1640 ml1660 ml1710 ml1740 ml1750 ml1910 ml1915 \
+                   ml2010 ml2015 ml2150 ml2240 ml2250 ml2251 ml2510 ml2525 \
+                   ml2525w ml2550 ml2571 ml2580 ml2580n ml3050 ml3051 \
+		   ml3051nd ml3471nd ml3560 scx4100 scx4200 scx4216f scx4300 \
+		   scx4500 scx4521f scx4600 scx4623f scx4623fw scx5330n \
+		   scx5530fn sf565p
 XEROX		:= ph3115 ph3116 ph3117 ph3120 ph3121 ph3122 ph3124 ph3130 \
-		   ph3150 ph3160 ph3420 ph3425 ph5500 ph6100 wc3119 wcpe16
+		   ph3140 ph3150 ph3160 ph3420 ph3425 ph5500 ph6100 wc3119 \
+		   wcpe16 wcpe114e
 LEXMARK		:= x215mfp
+TOSHIBA		:= es180s
 DRIVERSEXT	:= ppd
 POEXT		:= po
 PODIR		:= po
 LANGUAGES 	:= fr pt
-ifeq ($(DISABLE_JBIG),0)
-SAMSUNG 	+= clp200 clp300 clp600 clx216x clx2170 clx3160
+# === MAKE ALL PPD BY DEFAULT ====
+ifneq ($(DISABLE_JBIG),1)
+SAMSUNG 	+= clp200 clp300 clp310 clp315 clp310n clp600 clx216x clx2170 \
+                   clx3160
 XEROX		+= ph6110
 endif
-DRIVERS		:= $(DELL) $(SAMSUNG) $(XEROX) $(LEXMARK)
+DRIVERS		:= $(DELL) $(SAMSUNG) $(XEROX) $(LEXMARK) $(TOSHIBA)
 
 # === DON'T CHANGE ANYTHING AFTER THIS MESSAGE ====
 
@@ -44,6 +50,7 @@
 	./compile.sh dell.drv -I . -d ./
 	./compile.sh xerox.drv -I . -d ./
 	./compile.sh lexmark.drv -I . -d ./
+	./compile.sh toshiba.drv -I . -d ./
 
 $(LANGDRIVERSEXT): $(SOURCE) $(patsubst %, $(PODIR)/%.$(POEXT), $(LANGUAGES))
 	lang=$(patsubst $(MASTERDRIVER)%.$(DRIVERSEXT),%, $@); \
@@ -61,9 +68,14 @@
 	for filename in ${DELL}; do \
 		recode utf8..latin1 ${PODIR}/$$lang/$$filename.${DRIVERSEXT}; \
 		mv ${PODIR}/$$lang/$$filename.${DRIVERSEXT} $$filename$$lang.${DRIVERSEXT}; \
-	done;
+	done; \
 	./compile.sh lexmark.drv -l $$lang -c ${PODIR}/$$lang.${POEXT} -d ${PODIR}/$$lang; \
 	for filename in ${LEXMARK}; do \
+		recode utf8..latin1 ${PODIR}/$$lang/$$filename.${DRIVERSEXT}; \
+		mv ${PODIR}/$$lang/$$filename.${DRIVERSEXT} $$filename$$lang.${DRIVERSEXT}; \
+	done; \
+	./compile.sh toshiba.drv -l $$lang -c ${PODIR}/$$lang.${POEXT} -d ${PODIR}/$$lang; \
+	for filename in ${TOSHIBA}; do \
 		recode utf8..latin1 ${PODIR}/$$lang/$$filename.${DRIVERSEXT}; \
 		mv ${PODIR}/$$lang/$$filename.${DRIVERSEXT} $$filename$$lang.${DRIVERSEXT}; \
 	done;
@@ -75,11 +87,13 @@
 	./compile.sh dell.drv lang $@
 	./compile.sh xerox.drv lang $@
 	./compile.sh lexmark.drv lang $@
+	./compile.sh toshiba.drv lang $@
 
 cmd_install_samsung	= INSTALL           Samsung PPD files
 cmd_install_xerox	= INSTALL           Xerox PPD files
 cmd_install_dell	= INSTALL           Dell PPD files
 cmd_install_lexmark	= INSTALL           Lexmark PPD files
+cmd_install_toshiba	= INSTALL           Toshiba PPD files
 .PHONY: install
 install:
 	$(call printCmd, $(cmd_install_samsung))
@@ -114,6 +128,14 @@
 			install -m 644 $$filename$$lang.${DRIVERSEXT} ${DESTDIR}${CUPSPPD}/lexmark;\
 		done; \
 	done;
+	$(call printCmd, $(cmd_install_toshiba))
+	$(Q)install -d -m 755 ${DESTDIR}${CUPSPPD}/toshiba
+	$(Q)for filename in ${TOSHIBA}; do \
+		install -m 644 $$filename.${DRIVERSEXT} ${DESTDIR}${CUPSPPD}/toshiba;\
+		for lang in ${LANGUAGES}; do \
+			install -m 644 $$filename$$lang.${DRIVERSEXT} ${DESTDIR}${CUPSPPD}/toshiba;\
+		done; \
+	done;
 
 .PHONY: clean distclean
 clean:

## splix 2.0.0+svn293

=== ppd/Makefile ===
--- 
+++ 
@@ -15,18 +15,16 @@
 		   scx4500 scx4521f scx4600 scx4623f scx4623fw scx5330n \
 		   scx5530fn sf565p
 XEROX		:= ph3115 ph3116 ph3117 ph3120 ph3121 ph3122 ph3124 ph3130 \
-		   ph3140 ph3150 ph3160 ph3420 ph3425 ph5500 ph6100 wc3119 \
-		   wcpe16 wcpe114e
+		   ph3150 ph3160 ph3420 ph3425 ph5500 ph6100 wc3119 wcpe16 \
+		   wcpe114e
 LEXMARK		:= x215mfp
 TOSHIBA		:= es180s
 DRIVERSEXT	:= ppd
 POEXT		:= po
 PODIR		:= po
 LANGUAGES 	:= fr pt
-# === MAKE ALL PPD BY DEFAULT ====
-ifneq ($(DISABLE_JBIG),1)
-SAMSUNG 	+= clp200 clp300 clp310 clp315 clp310n clp600 clx216x clx2170 \
-                   clx3160
+ifeq ($(DISABLE_JBIG),0)
+SAMSUNG 	+= clp200 clp300 clp310n clp600 clx216x clx2170 clx3160
 XEROX		+= ph6110
 endif
 DRIVERS		:= $(DELL) $(SAMSUNG) $(XEROX) $(LEXMARK) $(TOSHIBA)

=== debian/changelog ===
splix (2.0.0+svn293-1) unstable; urgency=low

  * Start tracking SVN trunk. (Closes: #594466)
  * Drop gcc-4.5_fix.patch (merged upstream).

 -- Luca Niccoli <lultimouomo@gmail.com>  Sun, 12 Jun 2011 15:35:15 +0200

splix (2.0.0-3) unstable; urgency=low

  * Adopt package: set myself as maintainer and remove Jeroen van Wolffelaar
    and Pablo Mazzini. Thanks for your work! (Closes: #617819)
  * Fix compilation with recent toolchain. (Closes: #565097)
  * Fix clean target that would sometimes enter an infinite loop.
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Luca Niccoli <lultimouomo@gmail.com>  Sun, 17 Apr 2011 19:29:05 +0200

splix (2.0.0-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix alignment to allow printing on ARM, thanks to Luca Niccoli.
    (Closes: #574349) 

 -- Philipp Kern <pkern@debian.org>  Sun, 03 Oct 2010 10:51:05 +0200

splix (2.0.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add optimized/pstoqpdl optimized/rastertoqpdl to dh_clean as proposed
    by Luca Niccoli (Closes: #574364)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Thu, 25 Mar 2010 15:05:49 +0100

splix (2.0.0-2) unstable; urgency=low

  * debian/splix.postinst, debian/control: Added post-install script to
    automatically update the PPD files of all existing print queues which
    use this driver to the current version. (Closes: #525822)
  * debian/control: Added "cups" to Depends: as a running CUPS daemon is needed
    for the automatic update of existing print queues.
  * debian/control: Added ghostscript-cups dependency.

 -- Pablo Mazzini <pmazzini@gmail.com>  Sat, 20 Jun 2009 11:04:16 -0300

splix (2.0.0-1) unstable; urgency=low

  * New upstream release
  * debian/watch added
  * debian/compat: bump to 7
  * Bump Standards-Version to 3.8.1
  * droped dpatch together with upstream patches

 -- Pablo Mazzini <pmazzini@gmail.com>  Tue, 07 Apr 2009 10:44:14 -0200

splix (1.0.1-1.2) unstable; urgency=low

  * Non-maintainer upload to fix important usability bug.
  * Applied patch from upstream that corrects a bug for the ML-2010 
    printer.  Thanks to Pablo De Napoli for the patch. (Closes: #439817)  

 -- Margarita Manterola <marga@debian.org>  Sun, 12 Oct 2008 15:46:27 +0000

splix (1.0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix Cups build-dependencies (Closes: #487042)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 23 Jun 2008 00:35:11 +0200

splix (1.0.1-1) unstable; urgency=low

  * Introduce Splix to Debian, based on Ubuntu package (thanks Till!)
    (Closes: #411167)
  * Added patch by Joost van Blokland to enable page logging
  * Fix debian/rules clean to also remove produced binary

 -- Jeroen van Wolffelaar <jeroen@wolffelaar.nl>  Sat,  2 Jun 2007 15:31:48 +0200

splix (1.0.1-0ubuntu1) feisty; urgency=low

  * New upstream release
     o Duplex support
     o Support for Xerox Phaser 6100
     o Bug fixes
  * Removed 10-fix-ppds.dpatch: PPDs fixed upstream
  * debian/rules: Removed PPDs for Samsung CLP-300 and CLP-600, these 
    printers are known to not work with this release of the driver.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed,  7 Feb 2007 10:44:10 +0000

splix (1.0.1~beta2-0ubuntu1) feisty; urgency=low

  * Initial Release.  (Closes: LP #59829)
  * Fixed PPD files
     o It must be "*LanguageVersion: German", not
       "*LanguageVersion: Deutsch".
     o The PPDs for the CLP-600 had "CLP-60" as model name.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 12 Dec 2006 12:00:00 +0100

=== debian/control ===
Source: splix
Section: text
Priority: optional
Maintainer: Luca Niccoli <lultimouomo@gmail.com>
Build-Depends: debhelper (>= 7), libcupsimage2-dev
Standards-Version: 3.9.2
Homepage: http://splix.ap2c.org/

Package: splix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cups, cups-client, ghostscript-cups
Description: Driver for Samsung's SPL2 (bw) and SPLc (color) laser printers
 Support for printing to SPL2- and SPLc-based printers. These are most
 of the cheaper Samsung laser printers which do not understand standard
 languages like PostScript or PCL. Both monochrome (ML-15xx, ML-16xx,
 ML-17xx, ML-2xxx) and color (CLP-5xx, CLP-6xx) models are supported.
 Also some rebranded Samsungs like the Xerox Phaser 6100 work with this
 driver.
 .
 Note that older SPL1-based models (ML-12xx, ML-14xx) do not work. Use
 these printers with the older "gdi" driver which is built into
 GhostScript.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	/usr/bin/make DISABLE_JBIG=1 rastertoqpdl_LIBS="-lcupsimage -lcups -lpthread" pstoqpdl_LIBS="-lcupsimage -lcups"
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean DISABLE_JBIG=1
	dh_clean optimized/pstoqpdl optimized/rastertoqpdl optimized/src/* debug/src/* .defs.mk

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/splix CUPSPPD=/usr/share/ppd/splix DISABLE_JBIG=1 install

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## splix 2.0.0+svn299

=== ppd/Makefile ===
--- 
+++ 
@@ -15,16 +15,18 @@
 		   scx4500 scx4521f scx4600 scx4623f scx4623fw scx5330n \
 		   scx5530fn sf565p
 XEROX		:= ph3115 ph3116 ph3117 ph3120 ph3121 ph3122 ph3124 ph3130 \
-		   ph3150 ph3160 ph3420 ph3425 ph5500 ph6100 wc3119 wcpe16 \
-		   wcpe114e
+		   ph3140 ph3150 ph3155 ph3160 ph3420 ph3425 ph5500 ph6100 \
+		   wc3119 wcpe16 wcpe114e
 LEXMARK		:= x215mfp
 TOSHIBA		:= es180s
 DRIVERSEXT	:= ppd
 POEXT		:= po
 PODIR		:= po
 LANGUAGES 	:= fr pt
-ifeq ($(DISABLE_JBIG),0)
-SAMSUNG 	+= clp200 clp300 clp310n clp600 clx216x clx2170 clx3160
+# === MAKE ALL PPD BY DEFAULT ====
+ifneq ($(DISABLE_JBIG),1)
+SAMSUNG 	+= clp200 clp300 clp310 clp315 clp310n clp600 clx216x clx2170 \
+                   clx3160
 XEROX		+= ph6110
 endif
 DRIVERS		:= $(DELL) $(SAMSUNG) $(XEROX) $(LEXMARK) $(TOSHIBA)

=== debian/changelog ===
splix (2.0.0+svn299-2) unstable; urgency=low

  * install splix.ppd-updater in printer-driver-splix, not in splix.
    (Closes: #649536)

 -- Luca Niccoli <lultimouomo@gmail.com>  Fri, 25 Nov 2011 00:06:12 +0100

splix (2.0.0+svn299-1) unstable; urgency=low

  * Import r299 from SVN.
  * Rename splix to printer-driver-splix. (Closes: #647534)
  * Replace postinst with a ppd-updater trigger (Closes: #647536)
    Thanks to Didier Raboud for the reports and the patches.

 -- Luca Niccoli <lultimouomo@gmail.com>  Mon, 14 Nov 2011 19:58:32 +0100

=== debian/control ===
Source: splix
Section: text
Priority: optional
Maintainer: Luca Niccoli <lultimouomo@gmail.com>
Build-Depends: debhelper (>= 7), libcupsimage2-dev
Standards-Version: 3.9.2
Homepage: http://splix.ap2c.org/

Package: printer-driver-splix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cups (>= 1.5.0-3~),
 cups-client, ghostscript-cups
Replaces: splix (<= 2.0.0+svn299-1)
Breaks: splix (<= 2.0.0+svn299-1)
Description: Driver for Samsung and Xerox SPL2 and SPLc laser printers
 Support for printing to SPL2- and SPLc-based printers. These are most
 of the cheaper Samsung laser printers which do not understand standard
 languages like PostScript or PCL. Both monochrome (ML-15xx, ML-16xx,
 ML-17xx, ML-2xxx) and color (CLP-5xx, CLP-6xx) models are supported.
 Also some rebranded Samsungs like the Xerox Phaser 6100 work with this
 driver.
 .  
 Note that older SPL1-based models (ML-12xx, ML-14xx) do not work. Use
 these printers with the older "gdi" driver which is built into
 GhostScript.

Package: splix
Depends: printer-driver-splix, ${misc:Depends}
Architecture: all
Section: oldlibs
Priority: extra
Description: transitional dummy package for splix printer driver
 This is a transitional dummy package to transition to uniformly named
 printer-driver-splix.

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,8 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
-	$(MAKE) DESTDIR=$(CURDIR)/debian/splix CUPSPPD=/usr/share/ppd/splix DISABLE_JBIG=1 install
+	$(MAKE) DESTDIR=$(CURDIR)/debian/printer-driver-splix CUPSPPD=/usr/share/ppd/splix DISABLE_JBIG=1 install
+	install -D --mode=644 debian/splix.ppd-updater $(CURDIR)/debian/printer-driver-splix/usr/share/ppd-updaters/splix.ppd-updater
 
 # Build architecture-dependent files here.
 binary-arch: install

## splix 2.0.0+svn300

=== ppd/Makefile ===
--- 
+++ 
@@ -11,9 +11,9 @@
 		   ml1630 ml1640 ml1660 ml1710 ml1740 ml1750 ml1910 ml1915 \
                    ml2010 ml2015 ml2150 ml2240 ml2250 ml2251 ml2510 ml2525 \
                    ml2525w ml2550 ml2571 ml2580 ml2580n ml3050 ml3051 \
-		   ml3051nd ml3471nd ml3560 scx4100 scx4200 scx4216f scx4300 \
-		   scx4500 scx4521f scx4600 scx4623f scx4623fw scx5330n \
-		   scx5530fn sf565p
+		   ml3051nd ml3471nd ml3560 scx3200 scx4100 scx4200 scx4216f \
+		   scx4300 scx4500 scx4521f scx4600 scx4623f scx4623fw \
+		   scx5330n scx5530fn sf565p
 XEROX		:= ph3115 ph3116 ph3117 ph3120 ph3121 ph3122 ph3124 ph3130 \
 		   ph3140 ph3150 ph3155 ph3160 ph3420 ph3425 ph5500 ph6100 \
 		   wc3119 wcpe16 wcpe114e

=== debian/changelog ===
splix (2.0.0+svn300-1) unstable; urgency=low

  * New upstream version: added support for Samsung SCX-3200, rebuilt PPDs
    with CUPS 1.5.0
  * splix.ppd-updater belongs in /use/share/cups/ppd-updaters/,  not in
    /usr/share/ppd-updaters/ (Closes: #649536)

 -- Luca Niccoli <lultimouomo@gmail.com>  Sat, 10 Dec 2011 19:23:06 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, cups (>= 1.5.0-3~),
  cups-client, ghostscript-cups
-Replaces: splix (<= 2.0.0+svn299-1)
-Breaks: splix (<= 2.0.0+svn299-1)
 Description: Driver for Samsung and Xerox SPL2 and SPLc laser printers
  Support for printing to SPL2- and SPLc-based printers. These are most
  of the cheaper Samsung laser printers which do not understand standard

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) DESTDIR=$(CURDIR)/debian/printer-driver-splix CUPSPPD=/usr/share/ppd/splix DISABLE_JBIG=1 install
-	install -D --mode=644 debian/splix.ppd-updater $(CURDIR)/debian/printer-driver-splix/usr/share/ppd-updaters/splix.ppd-updater
+	install -D --mode=644 debian/splix.ppd-updater $(CURDIR)/debian/printer-driver-splix/usr/share/cups/ppd-updaters/splix.ppd-updater
 
 # Build architecture-dependent files here.
 binary-arch: install
